<?php

/**
 * @file
 * Included file for the Auto Tagging Suggestions module.
 */

/**
 * Implements hook_form().
 */
function auto_tagging_suggestions_admin_form($form, &$form_state) {
  $form['auto_tagging_suggestions'] = array(
    '#type' => 'fieldset',
    '#title' => t('Configure Auto Tagging Suggestions'),
  );

  $types = node_type_get_names();
  $form['auto_tagging_suggestions']['content_types'] = array(
    '#type' => 'select',
    '#options' => $types,
    '#title' => t('Select content types'),
    '#description' => t('Select the content types for which you want to have autotagging suggestions.'),
    '#multiple' => TRUE,
    '#default_value' => variable_get('auto_tagging_suggestions_config'),
  );

  $form['auto_tagging_suggestions']['submit'] = array(
    '#type' => 'submit',
    '#value' => 'Submit',
  );
  return $form;
}

/**
 * Implements hook_form_submit().
 */
function auto_tagging_suggestions_admin_form_submit($form_id, $form_state) {
  variable_set('auto_tagging_suggestions_config', $form_state['values']['content_types']);
  drupal_set_message(t("Auto tagging suggestion configuration has been saved."));
}
